


***  file  =  C:\PANAMA08\Consumo\07_Ingreso_laboral_08.sps.

***Hogar 030111102905001 (forma 4539)  Persona 2   variable  S7p24_c debera de ser uno (1)
*** o sea que aunque se le pague todos los das, el ingreso de 21,9000 corresponde a la
***remuneracin total por ao.

***Corrido con SPSS 17 en:   1  minutos    10  segundos  .

****************************************************************************************.
****      Panam, 8 de septiembre de 2008 - 9:19 a.m.                             ***.
****      Generar la variable INGRESO LABORAL                                     ***.
****      Elaborado por: Abdiel G. Morales Nnez y Eudemia Perez           ***.
****************************************************************************************.

get file='C:\PANAMA08\DATOS\04PERSONA.sav'.
exe.

sort cases by HOGAR.

*** POBLACIN ECONMICAMENTE ACTIVA E INACTIVA  (PEA y NoPEA)  ****.

If ((s7p1b=1 | s7p2=1 | s7p3=1) & p4_edad>=10) Pea=1.
If ((s7p4=1 | s7p5=1 | (s7p6>=1 & s7p6<=4)) & p4_edad>=10) Pea=2.
if (missing(pea)=1&p4_edad>=10) Pea=3.
Variable labels Pea 'Poblacin Econmicamente Activa'.
Value labels Pea 1'Ocupados' 2 'Desocupado' 3'No PEA'.
exe.
filter off.

*** CATEGORA OCUPACIONAL ***.
comp cateocup=s7p23.
recode  cateocup  (1 thru 7=1)  (8 thru 9=2)  (10 thru 11=3) (else=SYSMIS)  .
variable labels cateocup 'Categora ocupacional'.
value labels cateocup 1'Empleado o asalariado' 2'Patrn o Independiente' 3'Trabajador familiar'.
exe.

compute cat_ocup=s7p23.
recode  cat_ocup (8 thru 9=1) (1 thru 6=2) (7=3) (10 thru 11=4) (else=SYSMIS)  .
variable labels cat_ocup 'Categora ocupacional'.
value labels cat_ocup 1'Patrn e Independiente' 2'Empleado o asalariado' 3'Obrero-jornalero' 4'Trabajador familiar'.
exe.

*****  MESES LABORADOS EN LOS LTIMOS 12. ***.
comp meses=s7p18.
variable labels meses 'Cuntos meses trabajo en los ltimos 12'.
recode meses (0=1).
exe.

**** RAMA DE ACTIVIDAD ECONOMICA. ****.
comp rama=s7p16.
recode rama  (1 thru 5=1)  (10 thru 14=2)  (15 thru 37=3)  (40 thru 41=4)  (45=5)  (51 thru 55=6)  (60 thru 64=7) (65 thru 74=8)  (75 thru 98=9)  (99=10) (else=sysmis)  .
variable labels rama 'Rama de actividad econmica'.
value labels rama 1'Agricultura' 2'Mineria' 3'Manufactura' 4'Electricidad, gas, agua' 5'Construccin' 6'Comercio, Hoteles, Rest.' 7'Transporte y Comun.'
  8'Financieros Bienes Raices' 9'Comunitarios Serv. Personales' 10'Otros'.
exe .

**** RECODIFICAR OCUPACIN. *****.
comp ocupa=s7p14.
recode  ocupa  (11 thru 13=1)  (21 thru 34=2)  (41 thru 43=3)  (51 thru 52=4)  (61 thru 62=5)  (71 thru 75=6) (81 thru 83=7)  (91=8)  (92=9) (01=10) (else=sysmis).
variable labels ocupa 'Ocupacin'.
value labels ocupa  1'Gerentes, administradores y afines'  2'Profesionales, tcnicos y afines'  3'Empleados de oficina y afines'  4'Trabajadores de Servicios y vendedores'
 5'Agricultores, ganaderos, pescadores, madereros'  6'Artesanos y operarios en ocupaciones afines'  7'Transportistas y ocupaciones afines'  8'Trabajadores de servicios personales y afines'
 9'Obreros y jornaleros'  10'Trabajadores en ocupaciones no identificadas'.
exe .

*****************Recodificar mximo nivel educativo*******.

recode s5p45a (0 thru 1=1) (2=2)  (3 thru 5=3) (6 thru 8=4) (ELSE=SYSMIS) INTO Nivel.
variable labels Nivel 'Nivel educativo'.
value labels nivel 1'Ninguno' 2'Primaria' 3'Secundaria' 4'Superior'.
exe.

****Revisar formulario 0619 los codigos de genero.

*********************************************************************.
*********correccion de grados, esta en etapa de correccion. Borrar una vez corregidos .

comp GRADO =s5p45b.
exe.
DO IF (s5p45A=3).
RECODE GRADO (7=1) (8=2)  (9=3) .
END IF.
EXECUTE.
DO IF (s5p45A=4).
RECODE GRADO (10=4) (11=5)  (12=6).
END IF.
EXECUTE.

******crear anos de estudio********.

IF (Nivel = 1 ) anos_edu = 0 .
IF (Nivel = 2 ) anos_edu = GRADO .
IF (Nivel = 3 ) anos_edu = 6 + GRADO .
IF (s5p45A=6 or s5p45A=7) anos_edu = 12 + GRADO .
IF (s5p45A=8 ) anos_edu = 17 + GRADO .
VARIABLE LABELS anos_edu 'Anos de educacin de las personas' .
exe.

**** Crear variable de Anos de Experiencia Potencial. ****.

comp experi=(p4_edad-anos_edu-6).
if (experi<=0) experi=0.
exe.

***1. tomar en cuenta los valores extremos y tamano de empresa con Jos******.
************************************************************************************************.
**** INGRESOS DEL PRIMER TRABAJO. (Seccin 7. Parte B. Primer Trabajo )****.
************************************************************************************************.
*** Salario en efectivo y de los independientes ***.

recode s7p31 (0 999999.99=sysmis).
exe.
IF (p4_edad >= 10 & pea = 1 & cateocup= 1) salefec = s7p31 .
variable labels salefec 'Salario en efectivo (Empleado)'.
exe.

******* Hay 21 casos de no respuesta o 999999.99 y 15 con ingreso = 0 en el ingreso de los asalariados****.

if (experi=0) g_exper=1.
if (experi>=1&experi<=3) g_exper=2.
if (experi>=4&experi<=10) g_exper=3.
if (experi>=11&experi<=25) g_exper=4.
if (experi>=26) g_exper=5.
exe.
filter off.
weight by factor.
comp filt=(p4_edad >= 10 & pea = 1 & cateocup= 1).
filter by filt.
exe.

*tamano de la empresa (s7p21).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=p3_sexo area nivel g_exper s7p21 rama
  /salefec_median=MEDIAN(salefec) .
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=p3_sexo area nivel g_exper rama
  /salefec_median1=MEDIAN(salefec) .
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=area nivel 
  /salefec_median2=MEDIAN(salefec) .

if (salefec=0 | missing(salefec)=1)&(p4_edad >= 10 & pea = 1 & cateocup= 1) salefec=salefec_median .
if (salefec=0 | missing(salefec)=1)&(p4_edad >= 10 & pea = 1 & cateocup= 1) salefec=salefec_median1 .
if (salefec=0 | missing(salefec)=1)&(p4_edad >= 10 & pea = 1 & cateocup= 1) salefec=salefec_median2 .
exe.
filter off.
weight off.

***************************.
**** Anualizar el salario laboral ****.
comp salario=salefec*meses.
exe.
*****************************************************************************.
******************Ingreso de los independientes*****************************.
*****************************************************************************.

recode s7p24_a (999999.99=sysmis).
recode s7p24_b s7p24_c (0 99 999=sysmis).
exe.

comp veces=s7p24_c.
IF (p4_edad >= 10 & pea = 1 & cateocup= 2) ingind = s7p24_a .
variable labels ingind 'Ingreso de Independientes'.
exe.
******* Hay 4 casos de no respuesta o 999999.99 y 26 con ingreso = 0 en el ingreso de los independientes****.
*********No se consideran los agricultores de subsistencia. Estos quedan con ingreso'0'****.
***si es agricultor y tiene ingreso '0' se anota sysmis en veces***.
If ( s7p24_a=0  & rama= 1) veces= $sysmis.
*********If ( s7p24_a=0  & rama= 1) veces= $sysmis.
exe.

comp inganual=ingind*veces.
variable labels inganual 'Ingreso anual de los independientes'.
exe.
****salen varios casos de valores extremos que se revisan********.
****imputar valores '0' y no respuestas********.
comp filt=(p4_edad >= 10 & pea = 1 & cateocup= 2).
filter by filt.
weight by factor.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=p3_sexo area nivel g_exper rama
  /inga_m1=MEDIAN(inganual).
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel rama
  /inga_m2=MEDIAN(inganual).
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel
  /inga_m3=MEDIAN(inganual).

*Para estimar el ingreso de los agricultores se utilizara el modulo de ingreso agropecuario. 

if ((inganual=0 | missing(inganual)=1) & rama~= 1)&(p4_edad >= 10 & pea = 1 & cateocup= 2) inganual=inga_m1 .
if ((inganual=0 | missing(inganual)=1) & rama~= 1)&(p4_edad >= 10 & pea = 1 & cateocup= 2) inganual=inga_m2 .
if ((inganual=0 | missing(inganual)=1) & rama~= 1)&(p4_edad >= 10 & pea = 1 & cateocup= 2) inganual=inga_m3 .
exe.

*******************************************************************************************************************************************************************************.
**********************************************************************************************************.
*****************************INGRESO DEL SEGUNDO TRABAJO**************************.

comp cateocu2=s7p45.
recode  cateocu2  (1 thru 7=1)  (8 thru 9=2)  (10 thru 11=3) (else=SYSMIS)  .
variable labels cateocu2 'Categora ocupacional'.
value labels cateocu2 1'Empleado o asalariado' 2'Patrn o Independiente' 3'Trabajador familiar'.
exe .
comp meses2=s7p41.
variable labels meses2 'Cuntos meses trabajo en los ltimos 12'.
recode meses2 (0=1).
exe.

**** RAMA DE ACTIVIDAD, SEGUNDO TRABAJO ****.

comp rama2=s7p40.
recode rama2  (1 thru 5=1)  (10 thru 14=2)  (15 thru 37=3)  (40 thru 41=4)  (45=5)  (51 thru 55=6)  (60 thru 64=7) (65 thru 74=8)  (75 thru 98=9)  (99=10) (else=sysmis)  .
variable labels rama2 'Rama de actividad econmica'.
value labels rama2 1'Agricultura' 2'Mineria' 3'Manufactura' 4'Electricidad, gas, agua' 5'Construccin' 6'Comercio, Hoteles, Rest.' 7'Transporte y Comun.'
  8'Financieros Bienes Raices' 9'Comunitarios Serv. Personales' 10'Otros'.
exe .

**** RECODIFICAR OCUPACIN. *****.

comp ocupa2=s7p39.
recode  ocupa2  (11 thru 13=1)  (21 thru 34=2)  (41 thru 43=3)  (51 thru 52=4)  (61 thru 62=5)  (71 thru 75=6) (81 thru 83=7)  (91=8)  (92=9) (01=10) (else=sysmis).
variable labels ocupa2 'Ocupacin'.
value labels ocupa2  1'Gerentes, administradores y afines'  2'Profesionales, tcnicos y afines'  3'Empleados de oficina y afines'  4'Trabajadores de Servicios y vendedores'
 5'Agricultores, ganaderos, pescadores, madereros'  6'Artesanos y operarios en ocupaciones afines'  7'Transportistas y ocupaciones afines'  8'Trabajadores de servicios personales y afines'
 9'Obreros y jornaleros'  10'Trabajadores en ocupaciones no identificadas'.
exe.

***SALARIO 2* .

if  (s7p48>0 & missing(s7p48)=0) salefec2=s7p48.
exe.
comp filt=(s7p38=1 & cateocu2=1).
filter by filt.
weight  by factor.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=p3_sexo area nivel g_exper rama2
  /sala2_m=MEDIAN(salefec2) .

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=area nivel rama2
  /sala2_m2=MEDIAN(salefec2) .

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=area nivel 
  /sala2_m3=MEDIAN(salefec2) .

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=rama2
  /sala2_m4=MEDIAN(salefec2) .

if ((salefec2=0 or missing(salefec2)=1)&s7p38=1& cateocu2=1) salefec2=sala2_m .
if ((salefec2=0 or missing(salefec2)=1)&s7p38=1& cateocu2=1) salefec2=sala2_m2 .
if ((salefec2=0 or missing(salefec2)=1)&s7p38=1& cateocu2=1) salefec2=sala2_m3 .
if ((salefec2=0 or missing(salefec2)=1)&s7p38=1& cateocu2=1) salefec2=sala2_m4 .
exe.
weight off.
filter off.

**** Anualizar el salario laboral ****.

comp salario2=salefec2*meses2.
exe.

******************Ingreso de independientes*****************************.
*****************************************************************************.

recode s7p46a (999999.99=sysmis).
recode s7p46b s7p46c (0 999 99=sysmis).
exe.
comp ingind2 = s7p46a .
variable labels ingind2 'Ingreso de Independientes'.
comp veces2 = s7p46c .
 exe.
******A un agricultor le pusieron no respuesta en lugar de '0', se cambia*******.
comp inganua2=ingind2*veces2.
if (rama2=1 & missing(inganua2)=1) inganua2=0.
variable labels inganua2 'Ingreso anual de los independientes'.
if (rama2=1 & missing(inganua2)=1) veces2=$sysmis.
exe.

****imputar valores '0' y no respuestas********.

comp filt=(s7p38=1 & cateocu2=2).
filter by filt.
weight by factor.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=p3_sexo area nivel g_exper rama2
  /inga2_m=MEDIAN(inganua2).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel rama2
  /inga2_m2=MEDIAN(inganua2).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel
  /inga2_m3=MEDIAN(inganua2).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=g_exper
  /inga2_m4=MEDIAN(inganua2).

if (s7p38=1 & cateocu2=2 & (missing(inganua2)=1 or inganua2=0) & rama2~= 1) inganua2=inga2_m.
if (s7p38=1 & cateocu2=2 & (missing(inganua2)=1 or inganua2=0) & rama2~= 1) inganua2=inga2_m2.
if (s7p38=1 & cateocu2=2 & (missing(inganua2)=1 or inganua2=0) & rama2~= 1) inganua2=inga2_m3.
if (s7p38=1 & cateocu2=2 & (missing(inganua2)=1 or inganua2=0) & rama2~= 1) inganua2=inga2_m4.
exe.
weight off.
filter off.

************************************************************************************************************************************.
******INGRESO DEL TRABAJO ULTIMOS 12 MESES, SI FUE DIFERENTE DEL DE LA SEMANA PASADA*******.
************************************************************************************************************************************.

comp cateocu3=s7p56.
recode  cateocu3  (1 thru 7=1)  (8 thru 9=2)  (10 thru 11=3) (else=SYSMIS)  .
variable labels cateocu3 'Categora ocupacional'.
value labels cateocu3 1'Empleado o asalariado' 2'Patrn o Independiente' 3'Trabajador familiar'.
exe .

comp meses3=s7p55.
variable labels meses3 'Cuntos meses trabajo en los ltimos 12'.
recode meses3 (0=1).
exe.

**** RAMA DE ACTIVIDAD ****.

comp rama3=s7p54.
recode rama3 (1 thru 5=1)  (10 thru 14=2)  (15 thru 37=3)  (40 thru 41=4)  (45=5)  (51 thru 55=6)  (60 thru 64=7) (65 thru 74=8)  (75 thru 98=9)  (99=10) (else=sysmis)  .
variable labels rama3 'Rama de actividad econmica'.
value labels rama3 1'Agricultura' 2'Mineria' 3'Manufactura' 4'Electricidad, gas, agua' 5'Construccin' 6'Comercio, Hoteles, Rest.' 7'Transporte y Comun.'
  8'Financieros Bienes Raices' 9'Comunitarios Serv. Personales' 10'Otros'.
exe .

**** RECODIFICAR OCUPACIN. *****.

comp ocupa3=s7p53.
recode ocupa3  (11 thru 13=1)  (21 thru 34=2)  (41 thru 43=3)  (51 thru 52=4)  (61 thru 62=5)  (71 thru 75=6) (81 thru 83=7)  (91=8)  (92=9) (01=10) (else=sysmis).
variable labels ocupa3 'Ocupacin'.
value labels ocupa3  1'Gerentes, administradores y afines'  2'Profesionales, tcnicos y afines'  3'Empleados de oficina y afines'  4'Trabajadores de Servicios y vendedores'
 5'Agricultores, ganaderos, pescadores, madereros'  6'Artesanos y operarios en ocupaciones afines'  7'Transportistas y ocupaciones afines'  8'Trabajadores de servicios personales y afines'
 9'Obreros y jornaleros'  10'Trabajadores en ocupaciones no identificadas'.
exe.

***SALARIO dependiente* .

recode s7p59 (0 999999.99=sysmis).

***No se ven casos extremos*****.
***10 casos de ingreso '0' y 2 no respuesta*******.

Compute salefec3=s7p59.
exe.

comp filt=((s7p13=1 or s7p51=1) &cateocu3=1).
filter by filt.
weight by factor.

****se hacen medianas utilizando varias variables*****.

AGGREGATE 
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=p3_sexo area nivel g_exper rama3
  /sala3_m=MEDIAN(salefec3) .

AGGREGATE
   /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=area nivel g_exper rama3
  /sala3_m2=MEDIAN(salefec3) .

AGGREGATE
    /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=area nivel 
  /sala3_m3=MEDIAN(salefec3) .

if ((s7p13=1 or s7p51=1) &cateocu3=1& (salefec3=0 or missing(salefec3)=1)) salefec3=sala3_m.
if ((s7p13=1 or s7p51=1) &cateocu3=1& (salefec3=0 or missing(salefec3)=1)) salefec3=sala3_m2.
if ((s7p13=1 or s7p51=1) &cateocu3=1& (salefec3=0 or missing(salefec3)=1)) salefec3=sala3_m3.
exe.

**** Anualizar****.

filter off.
weight off.
compute salario3=salefec3*meses3.
exe.

******************Ingreso de independientes*****************************.
*****12 ingreso '0' *****.

comp veces3 = s7p57c .
comp ingind3 = s7p57a .
variable labels ingind3 'Ingreso de Independientes'.
exe.
compute inganua3=ingind3*veces3.
variable labels inganua3 'Ingreso anual de los independientes (tercer trabajo)'.
exe.

****imputar valores '0' y extremos********.
***Casi todos son agricultores y se les deja ingreso=0. Los casos extremos se revisan******.

if (missing(inganua3)&rama3 =1) inganua3=0.
exe.
comp filt=((s7p13=1 or s7p51=1) &cateocu3=2).
filter by filt.
weight by factor.

AGGREGATE
      /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=p3_sexo area nivel g_exper rama3
  /inga3_m=MEDIAN(inganua3).

AGGREGATE
    /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel g_exper rama3
  /inga3_m2=MEDIAN(inganua3).

AGGREGATE
     /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=area nivel
  /inga3_m3=MEDIAN(inganua3).

AGGREGATE
     /OUTFILE=* MODE=ADDVARIABLES
   /BREAK=g_exper
  /inga3_m4=MEDIAN(inganua3).

if ((s7p13=1 or s7p51=1) &cateocu3=2 & (inganua3=0 or missing(inganua3)=1)) inganua3=inga3_m.
if ((s7p13=1 or s7p51=1) &cateocu3=2 & (inganua3=0 or missing(inganua3)=1)) inganua3=inga3_m2.
if ((s7p13=1 or s7p51=1) &cateocu3=2 & (inganua3=0 or missing(inganua3)=1)) inganua3=inga3_m3.
if ((s7p13=1 or s7p51=1) &cateocu3=2 & (inganua3=0 or missing(inganua3)=1)) inganua3=inga3_m4.
exe.
filter off.
weight off.

*********************************************************************************************************************************************.
*****                                                  DCIMO TERCER MES                                                                                  ***.
*********************************************************************************************************************************************.

recode s7p29b s7p29c s7p47b s7p47c  s7p58b (999.99 9999.99 99999.99=sysmis).
comp decimo1b=s7p29b.
comp decimo2b=s7p47b.
comp decimo3=s7p58b.
exe.

**** PROPINAS ******.

recode s7p30b s7p49b s7p60b (999.99 9999.99 99999.99=sysmis).
comp propina1=s7p30b*meses.
comp propina2=s7p49b*meses2.
comp propina3=s7p60b*meses3.
exe.

**** ALIMENTOS, TRANSPORTE Y OTROS   ******.

recode s7p32b s7p35b s7p50b s7p61b (9999.99=sysmis).
comp otroing1=sum(s7p32b,s7p35b)*meses.
comp otroing2=s7p50b.
comp otroing3=s7p61b.
exe.

***************************OTRAS FUENTES DE INGRESOS*****************************.

recode s7p62b s7p63b s7p64b s7p67a s7p67b s7p67c s7p67d s7p67e s7p67f (99999.99 999999.99=sysmis).
comp t_pensio = sum(s7p62b,s7p63b,s7p64b).
comp pension = t_pensio*12.
comp ayudas1= sum(s7p67a, s7p67b, s7p67c, s7p67d).
comp ayudas2= sum(s7p67e, s7p67f).
exe.

************************************************************************************************.
*****                   INGRESO DEL TRABAJO   y OTROS INGRESOS                  ***.
************************************************************************************************.

comp sala2.1=sum(decimo1b,propina1,otroing1).
comp sala2.2=sum(decimo2b,propina2,otroing2).
comp sala2.3=sum(decimo3,propina3,otroing3).
variable labels sala2.1 'Otros ingresos del primer trabajo'.
variable labels sala2.2 'Otros ingresos del segundo trabajo'.
variable labels sala2.3 'Otros ingresos del tercer trabajo'.
exe.

**Siguiendo con la clasificacion hecha en 2003.
**Primera ocupacion.

if (rama > 1) sa1.na = salario.
if (rama = 1) sa1.a  = salario.
if (rama > 1) sa1.1.na= sala2.1 .
if (rama = 1) sa1.1.a  = sala2.1 .
if (rama~= 1) neto1.na = inganual .
if (rama = 1) neto1.a = inganual .
VARIABLE LABELS sa1.na 'Salario, no agrcola' .
VARIABLE LABELS sa1.a   'Salario, agrcola' .
VARIABLE LABELS sa1.1.na 'Salario, en especie, no agrcola' .
VARIABLE LABELS sa1.1.a   'Salario, en especie, agrcola' .
VARIABLE LABELS neto1.na  'Negocio no agrcola (net Bo.)' .
VARIABLE LABELS neto1.a  'Negocio agricola (net Bo.)' .
exe.

**Segunda ocupacion.

if (rama2 > 1) sa2.na = salario2.
if (rama2 = 1) sa2.a  = salario2.
if (rama2 > 1) sa2.1.na= sala2.2 .
if (rama2 = 1) sa2.1.a  = sala2.2 .
if (rama2~= 1) neto2.na = inganua2 .
if (rama2 = 1) neto2.a = inganua2 .
VARIABLE LABELS sa2.na 'Salario, no agrcola' .
VARIABLE LABELS sa2.a   'Salario, agrcola' .
VARIABLE LABELS sa2.1.na 'Salario, en especie, no agrcola' .
VARIABLE LABELS sa2.1.a   'Salario, en especie, agrcola.' .
VARIABLE LABELS neto2.na  'Negocio no agrcola (net Bo.)' .
VARIABLE LABELS neto2.a  'Negocio agricola (net Bo.)' .
exe.

**ult. 12 meses.

if (rama3 > 1) sa3.na = salario3.
if (rama3 = 1) sa3.a  = salario3.
if (rama3 > 1) sa3.1.na= sala2.3 .
if (rama3 = 1) sa3.1.a  = sala2.3 .
if (rama3~= 1) neto3.na = inganua3 .
if (rama3 = 1) neto3.a = inganua3 .
VARIABLE LABELS sa3.na 'Salario, no agrcola' .
VARIABLE LABELS sa3.a   'Salario, agrcola' .
VARIABLE LABELS sa3.1.na 'Salario, en especie, no agrcola' .
VARIABLE LABELS sa3.1.a   'Salario, en especie, agrcola.' .
VARIABLE LABELS neto3.na  'Negocio no agrcola (net Bo.)' .
VARIABLE LABELS neto3.a  'Negocio agricola (net Bo.)' .
exe.
comp sT.na=sum(sa1.na,sa2.na,sa3.na).
comp sT.a=sum(sa1.a,sa2.a,sa3.a).
comp sT.1.na=sum(sa1.1.na,sa2.1.na,sa3.1.na).
comp sT.1.a=sum(sa1.1.a,sa2.1.a,sa3.1.a).
comp nT.na=sum(neto1.na,neto2.na,neto3.na).
comp nT.a=sum(neto1.a,neto2.a,neto3.a).
exe.

*********************************.

aggr / output 'C:\PANAMA08\Consumo\Laboral.sav' / break HOGAR
/sT.naT=sum(sT.na) /sT.aT=sum(sT.a) /sT.1.naT=sum(sT.1.na) /sT.1.aT=sum(sT.1.a) /nT.naT=sum(nT.na) /nT.aT=sum(nT.a) 
/pensionT=sum(pension) /ayudas1T=sum(ayudas1) /ayudas2T=sum(ayudas2) .

***********************************************************************************************************************************.
***********************************************************************************************************************************.
***********************************************************************************************************************************.
***********************************************************************************************************************************.
***********************************************************************************************************************************.

get file 'C:\PANAMA08\Consumo\Laboral.sav'.



